
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>AJAX跨域请求JSONP获取JSON数据的实例代码 / iVAN</title>

    <meta name="description" content="AJAX跨域请求JSONP获取JSON数据的实例代码 Asynchronous JavaScript and XML (Ajax) 是驱动新一代 Web 站点(流行术语为 Web 2.0 站点)的关键技术.Ajax 允许在不干扰 Web 应用程序的显示和行为的情况下在后台进行数据检索.使用XMLHttpRequest 函数获取数据,它是一种 API,允许客户端 JavaScript 通过 HTTP 连接到远程服务器.Ajax 也是许多 mashup 的驱动力,它可将来自多个地方的内容集成为单一 Web 应用程序. 不过,由于受到浏览器的限制,该方法">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">AJAX跨域请求JSONP获取JSON数据的实例代码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Asynchronous JavaScript and XML (Ajax) 是驱动新一代 Web 站点（流行术语为 Web 2.0 站点）的关键技术。Ajax 允许在不干扰 Web 应用程序的显示和行为的情况下在后台进行数据检索。使用XMLHttpRequest 函数获取数据，它是一种 API，允许客户端 JavaScript 通过 HTTP 连接到远程服务器。Ajax 也是许多 mashup 的驱动力，它可将来自多个地方的内容集成为单一 Web 应用程序。</p>
<p>不过，由于受到浏览器的限制，该方法不允许跨域通信。如果尝试从不同的域请求数据，会出现安全错误。如果能控制数据驻留的远程服务器并且每个请求都前往同一域，就可以避免这些安全错误。但是，如果仅停留在自己的服务器上，Web 应用程序还有什么用处呢？如果需要从多个第三方服务器收集数据时，又该怎么办？</p>
<p>理解同源策略</p>
<p>同源策略阻止从一个域上加载的脚本获取或操作另一个域上的文档属性。也就是说，受到请求的 URL 的域必须与当前 Web 页面的域相同。这意味着浏览器隔离来自不同源的内容，以防止它们之间的操作。这个浏览器策略很旧，从 Netscape Navigator 2.0 版本开始就存在。</p>
<p>克服该限制的一个相对简单的方法是让 Web 页面向它源自的 Web 服务器请求数据，并且让 Web 服务器像代理一样将请求转发给真正的第三方服务器。尽管该技术获得了普遍使用，但它是不可伸缩的。另一种方式是使用框架要素在当前 Web 页面中创建新区域，并且使用GET 请求获取任何第三方资源。不过，获取资源后，框架中的内容会受到同源策略的限制。</p>
<p>克服该限制更理想方法是在 Web 页面中插入动态脚本元素，该页面源指向其他域中的服务 URL 并且在自身脚本中获取数据。脚本加载时它开始执行。该方法是可行的，因为同源策略不阻止动态脚本插入，并且将脚本看作是从提供 Web 页面的域上加载的。但如果该脚本尝试从另一个域上加载文档，就不会成功。幸运的是，通过添加 JavaScript Object Notation (JSON) 可以改进该技术。</p>
<p>1、什么是JSONP？</p>
<p>要了解JSONP，不得不提一下JSON，那么什么是JSON？</p>
<p>JSON is a subset of the object literal notation of JavaScript. Since JSON is a subset of JavaScript, it can be used in the language with no muss or fuss.</p>
<p>JSONP(JSON with Padding)是一个非官方的协议，它允许在服务器端集成Script tags返回至客户端，通过javascript callback的形式实现跨域访问（这仅仅是JSONP简单的实现形式）。</p>
<p>2、JSONP有什么用？</p>
<p>由于同源策略的限制，XmlHttpRequest只允许请求当前源（域名、协议、端口）的资源，为了实现跨域请求，可以通过script标签实现跨域请求，然后在服务端输出JSON数据并执行回调函数，从而解决了跨域的数据请求。</p>
<p>3、如何使用JSONP？</p>
<p>下边这一DEMO实际上是JSONP的简单表现形式，在客户端声明回调函数之后，客户端通过script标签向服务器跨域请求数据，然后服务端返回相应的数据并动态执行回调函数。</p>
<p>HTML代码 （任一）：</p>
<p>&lt;meta content=&quot;text/html; charset=utf-8&quot; http-equiv=&quot;Content-Type&quot; /&gt; &lt;script type=&quot;text/javascript&quot;&gt; function jsonpCallback(result) { //alert(result); for(var i in result) { alert(i+&quot;:&quot;+result[i]);//循环输出a:1,b:2,etc. } } var JSONP=document.createElement(&quot;script&quot;); JSONP.type=&quot;text/javascript&quot;; JSONP.src=&quot;http://crossdomain.com/services.php?callback=jsonpCallback&quot;; document.getElementsByTagName(&quot;head&quot;)[0].appendChild(JSONP); &lt;/script&gt;<br />
<br />或者</p>
<p>Html代码</p>
<p>&lt;meta content=&quot;text/html; charset=utf-8&quot; http-equiv=&quot;Content-Type&quot; /&gt; &lt;script type=&quot;text/javascript&quot;&gt; function jsonpCallback(result) { alert(result.a); alert(result.b); alert(result.c); for(var i in result) { alert(i+&quot;:&quot;+result[i]);//循环输出a:1,b:2,etc. } } &lt;/script&gt; &lt;script type=&quot;text/javascript&quot; src=&quot;http://crossdomain.com/services.php?callback=jsonpCallback&quot;&gt;&lt;/script&gt;<br />
<br />JavaScript的链接，必须在function的下面。</p>
<p>服务端PHP代码 （services.php）：</p>
<p>Php代码</p>
<p>&lt;?php //服务端返回JSON数据 $arr=array('a'=&gt;1,'b'=&gt;2,'c'=&gt;3,'d'=&gt;4,'e'=&gt;5); $result=json_encode($arr); //echo $_GET['callback'].'(&quot;Hello,World!&quot;)'; //echo $_GET['callback'].&quot;($result)&quot;; //动态执行回调函数 $callback=$_GET['callback']; echo $callback.&quot;($result)&quot;;<br />
<br />如果将上述JS客户端代码用jQuery的方法来实现，也非常简单。</p>
<p>$.getJSON $.ajax $.get<br />
<br />客户端JS代码在jQuery中的实现方式1：</p>
<p>Js代码</p>
<p>&lt;script type=&quot;text/javascript&quot; src=&quot;jquery.js&quot;&gt;&lt;/script&gt; &lt;script type=&quot;text/javascript&quot;&gt; $.getJSON(&quot;http://crossdomain.com/services.php?callback=?&quot;, function(result) { for(var i in result) { alert(i+&quot;:&quot;+result[i]);//循环输出a:1,b:2,etc. } }); &lt;/script&gt;<br />
<br />客户端JS代码在jQuery中的实现方式2：</p>
<p>Js代码</p>
<p>&lt;script type=&quot;text/javascript&quot; src=&quot;jquery.js&quot;&gt;&lt;/script&gt; &lt;script type=&quot;text/javascript&quot;&gt; $.ajax({ url:&quot;http://crossdomain.com/services.php&quot;, dataType:'jsonp', data:'', jsonp:'callback', success:function(result) { for(var i in result) { alert(i+&quot;:&quot;+result[i]);//循环输出a:1,b:2,etc. } }, timeout:3000 }); &lt;/script&gt;<br />
<br />客户端JS代码在jQuery中的实现方式3：</p>
<p>&lt;script type=&quot;text/javascript&quot; src=&quot;jquery.js&quot;&gt;&lt;/script&gt;&nbsp; <br /> &lt;script type=&quot;text/javascript&quot;&gt;&nbsp; <br /> &nbsp;&nbsp;&nbsp; $.get('http://crossdomain.com/services.php?callback=?', {name: encodeURIComponent('tester')}, function (json) { for(var i in json) alert(i+&quot;:&quot;+json[i]); }, 'jsonp');&nbsp; <br /> &lt;/script&gt;&nbsp; <br /> &nbsp;<br /> 其中 jsonCallback 是客户端注册的，获取跨域服务器上的json数据后，回调的函数。</p>
<p>http://crossdomain.com/services.php?callback=jsonpCallback</p>
<p>这个 url 是跨域服务器取 json 数据的接口，参数为回调函数的名字，返回的格式为</p>
<p>jsonpCallback({msg:'this is json data'})<br />
<br />Jsonp原理：</p>
<p>首先在客户端注册一个callback, 然后把callback的名字传给服务器。</p>
<p>此时，服务器先生成 json 数据。<br /> 然后以 javascript 语法的方式，生成一个function , function 名字就是传递上来的参数 jsonp.</p>
<p>最后将 json 数据直接以入参的方式，放置到 function 中，这样就生成了一段 js 语法的文档，返回给客户端。</p>
<p>客户端浏览器，解析script标签，并执行返回的 javascript 文档，此时数据作为参数，传入到了客户端预先定义好的 callback 函数里.（动态执行回调函数）</p>
<p>使用JSON的优点在于：</p>
<p>比XML轻了很多，没有那么多冗余的东西。</p>
<p>JSON也是具有很好的可读性的，但是通常返回的都是压缩过后的。不像XML这样的浏览器可以直接显示，浏览器对于JSON的格式化的显示就需要借助一些插件了。</p>
<p>在JavaScript中处理JSON很简单。</p>
<p>其他语言例如PHP对于JSON的支持也不错。</p>
<p>JSON也有一些劣势：</p>
<p>JSON在服务端语言的支持不像XML那么广泛，不过JSON.org上提供很多语言的库。</p>
<p>如果你使用eval()来解析的话，会容易出现安全问题。</p>
<p>尽管如此，JSON的优点还是很明显的。他是Ajax数据交互的很理想的方式。</p>
<p>主要提示：</p>
<p>JSONP 是构建 mashup 的强大技术，但不幸的是，它并不是所有跨域通信需求的万灵药。它有一些缺陷，在提交开发资源之前必须认真考虑它们。</p>
<p>第一，也是最重要的一点，没有关于 JSONP 调用的错误处理。如果动态脚本插入有效，就执行调用；如果无效，就静默失败。失败是没有任何提示的。例如，不能从服务器捕捉到 404 错误，也不能取消或重新开始请求。不过，等待一段时间还没有响应的话，就不用理它了。（未来的 jQuery 版本可能有终止 JSONP 请求的特性）。</p>
<p>JSONP 的另一个主要缺陷是被不信任的服务使用时会很危险。因为 JSONP 服务返回打包在函数调用中的 JSON 响应，而函数调用是由浏览器执行的，这使宿主 Web 应用程序更容易受到各类攻击。如果打算使用 JSONP 服务，了解它能造成的威胁非常重要。</p>
<p>以上所述是小编给大家介绍的AJAX跨域请求JSONP获取JSON数据的实例代码，希望对大家有所帮助，如果大家有任何疑问请给我留言，小编会及时回复大家的。在此也非常感谢大家对脚本之家网站的支持！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:00:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ajax/" title="ajax">ajax</a>, <a href="https://www.iamivan.net/tag/json/" title="json">json</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>AJAX跨域请求JSONP获取JSON数据的实例代码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmGWA7b.html" rel="bookmark">AJAX跨域请求之JSONP获取JSON数据&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Asynchronous JavaScript and XML (Ajax ) 是驱动新一代 Web 站点(流行术语为 Web 2.0 站点)的关键技术.Ajax 允许在不干扰 Web 应用程序的显示和行为的情况下在后台进行数据检索.使用 XMLHttpRequest 函数获取数据,它是一种 API,允许客户端 JavaScript 通过 HTTP 连接到远程服务器.Ajax 也是许多 mashup 的驱动力,它可将来自多个地方的内容集成为单一 Web 应用程序. 不过,由于受到浏览器的限制,该			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkALez.html" rel="bookmark">jQuery使用ajax跨域请求获取数据&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				跨域是我在日常面试中经常会问到的问题,这词在前端界出现的频率不低,主要原因还是由于安全限制(同源策略, 即JavaScript或Cookie只能访问同域下的内容),因为我们在日常的项目开发时会不可避免的需要进行跨域操作,所以跨域能力也算是前端工程师的基本功之一. var webMethod = &quot;http://localhost:54473/Service1.asmx/HelloWorld&quot;; jQuery.support.cors = true; //之前没有加这句老是提示no tr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO9xYkM.html" rel="bookmark">完美解决ajax跨域请求下parsererror的错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax请求报parsererror错误是很宽泛的概念,很多情况下都报这个错, 在很多时候,即使ajax提交.返回都正常 XMLHttpRequest.status=200  (正常响应) XMLHttpRequest.readyState=4 (正常接收) ajax也会提示一个parseerror的错误. 出现这个错误,大都是不良书写习惯,或者语法不当造成的. 关于ajax的错误,请使用: error:function(XMLHttpRequest, textStatus, errorThro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqaXJZM.html" rel="bookmark">AJAX跨域请求之JSONP获取JSON数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Asynchronous JavaScript and XML (Ajax ) 是驱动新一代 Web 站点(流行术语为 Web 2.0 站点)的关键技术.Ajax 允许在不干扰 Web 应用程序的显示和行为的情况下在后台进行数据检索.使用 XMLHttpRequest 函数获取数据,它是一种 API,允许客户端 JavaScript 通过 HTTP 连接到远程服务器.Ajax 也是许多 mashup 的驱动力,它可将来自多个地方的内容集成为单一 Web 应用程序. 不过,由于受到浏览器的限制,该			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDY2QLb.html" rel="bookmark">Ajax跨域请求 JSON JSONP</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				同源策略和跨域-总结 目录: 1.同源策略 2.跨域 3.几种跨域技术   1.同源策略 什么叫同源? URL由协议.域名.端口和路径组成,如果两个URL的协议.域名和端口相同,则表示他们同源.相反,只要协议,域名,端口有任何一个的不同,就被当作是跨域. e.g. 对于http://store.company.com/dir/page.html进行同源检测: URL 结果 原因 http://store.company.com/dir2/other.html 成功 仅路径不同 http://st			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlB1qp.html" rel="bookmark">基于iframe实现ajax跨域请求 获取网页中ajax数据&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家都知道,在不同域的情况下是不能发送ajax请求的,浏览器会报如下错误: 同时,内嵌的iframe中无法进行跨域通信的,也就是说不同域的iframe是无法互相读取数据的(当然利用hash变化可以从父window传入数据到子iframe,不过并没有什么意义).iframe跨域通信时,浏览器会报如下错误: 其实这两个问题都是由于跨域造成的. 下面就介绍如何解决这个问题. 其实问题的关键就在于,浏览器在解析ajax请求地址时会和当前网页的地址进行比较,如果是跨域的,那就禁止掉并且报错.那么我们如果让			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBerwM.html" rel="bookmark">如果要用ajax跨域请求服务器数据&comma;服务器是否要设置支持跨域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如果要用ajax跨域请求服务器数据,服务器是否要设置支持跨域 如果要用ajax跨域请求服务器数据,服务器是否要设置支持跨域? 解决方案 是的,如果是跨域请求的话,服务器返回Json数据的格式也是不同的. 所以服务器也是需要支持跨域的. 如:服务器返回普通Json格式为(不跨域) { &quot;code&quot;: &quot;0&quot;, &quot;content&quot;: &quot;我是返回内容&quot; } 那么Jsonp的返回格式则是(跨域) callback({ &qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnK8wrz.html" rel="bookmark">大数据量-ajax跨域请求较大数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ajax跨域请求较大数据 请求一个url返回数据量较大(约10M),格式是一个二维数组[[123][xxx]...]由于存在跨域问题,所以去servlet中发起请求,然而再返回前台时浏览器卡死了.那么怎么直接在ajax中去跨域请求这个地址并接收返回的数据?或者怎样在后台中接收返回前台但不会造成浏览器挂掉? 我在后端用httpclient去请求有问题. 解决方案 ajax跨域请求数据 解决方案二: 应该不是数据的问题,是你使用数据的代码有问题..10m数据要生成dom肯定比较耗时,如果是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWDLwXp.html" rel="bookmark">解决ajax跨域请求数据cookie丢失问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前端: 以jquery为例: 需要加入 复制代码 代码如下: xhrFields: {             withCredentials: true         },         crossDomain: true, $.ajax({         type: postType,         url: url,         data: postData || '',         xhrFields: {             withCredentials: tru			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlDkNM.html" rel="bookmark" class="title">童幼峰：完美网站的四项特性</a>
					<div>
						互联网从业八年多了,曾做个不少网站,或作为外围参与者,或作为策划及运营核心.涉及的网站性质也各种各样,有个人网站,有广告联盟,有所谓的WEB2.0概念的网站,有地域门户等.另外在做联盟的4年间,曾帮助 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnj2Wp.html" rel="bookmark" class="title">处理异常的最佳做法</a>
					<div>
						设计良好的错误处理代码块集可使程序更可靠并且不容易崩溃,因为应用程序可处理这样的错误.下表包含有关处理异常的最佳做法的建议: 知道何时设置 Try/Catch 块.例如,可以以编程方式检查可能发生的条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB29jab.html" rel="bookmark" class="title">HTML5 video播放器全屏&lpar;fullScreen&rpar;方法实例</a>
					<div>
						 HTML5 video播放器全屏(fullScreen)方法实例  首先来说,这个标题具有误导性,但这样设置改标题也是主要因为video使用的比较多 在html5中,全屏方法可以适用于很多html  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm753wb.html" rel="bookmark" class="title">win8软件推荐：世纪佳缘寻有缘人</a>
					<div>
						据上海民政局公布的一组数据显示,在过去的2012里,上海男女的平均结婚年龄首度双双跨过30岁.也许这个年龄对男性还不算大问题,但是对广大女同胞来 说多少就有点担心(起码父母们会很担心).一晃又是3.8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kVdrz.html" rel="bookmark" class="title">js中的屏蔽的使用示例</a>
					<div>
						本文为大家介绍下js中的屏蔽的应用:屏蔽网页内容选中.剪切.复制及拷屏总之你能想象的应该都有,感兴趣的朋友可以参考下,希望对大家学习js有所帮助   js屏蔽效果 复制代码 代码如下: /** 屏蔽F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kykrz.html" rel="bookmark" class="title">Word文档页面设置中的B4丢了怎么办</a>
					<div>
						我的电脑--控制面板--打印机和传真--空白处右键--添加打印机--&quot;下一步&quot;(3个)--Epson-EPSON LQ-1900KII--&quot;下一步&quot;(3个)-- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balr3Pz.html" rel="bookmark" class="title">建立宽带连接设置方法</a>
					<div>
						ADSL用户想上网首先得建立一个宽带链接,今天小编就带大家来学习怎样建立宽带连接和宽带连接的相关设置方法(以WINXP系统为例) 首先在桌面上用鼠标左键点击网上邻居,选择属性,出来网络连接的文件夹,现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ70gJb.html" rel="bookmark" class="title">宽带怎么查询上网时间</a>
					<div>
						  宽带查询上网时间可以有效的管理网络,比如家长监督孩子的上网时间等等之类的, 最直接最简单的办法: 到电信运营商(你开户的)的网站,输入帐号.密码,成功登录,就可以查询了. 还有一个方法在自己的电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKkwAM.html" rel="bookmark" class="title">origin怎么添加本地游戏</a>
					<div>
						  origin导入本地游戏方法教程: 首先打开Origin客户端,登录origin,然后点击oringin 选择&quot;添加游戏&quot;,跳出的框图如下面,选择&quot;统一您的收藏&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL9A5b.html" rel="bookmark" class="title">Win7系统电脑安装软件失败并提示错误1327解决办法</a>
					<div>
						  有用户朋友反应他的系统是Win7,64位的,之前安装软件都没出现什么问题,最近安装CAD软件发现安装不上了,每次安装的时候都提示错误1327,这是怎么一回事呢,要如何解决?下面我们小编就来跟大家一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6gr6b.html" rel="bookmark" class="title">曹国伟详解微博&OpenCurlyDoubleQuote;想不到&rdquo;：社交媒体生态刚刚开启</a>
					<div>
						我还能清楚地记得前几年开设新浪微博账户.每天创作和从专业人士那里学习的场景.2009年8月问世的新浪微博在那场微博大战中毫无争议地胜出,被外界形容为&quot;中国的Twitter&quot;,更成为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o3X7b.html" rel="bookmark" class="title">广州今年将严打黑客攻击和侵犯公民个人信息犯罪&lowbar;金羊网新闻</a>
					<div>
						[数说广州] 案件类警情降5.3% 2016年广州全年案件类警情同比下降5.3%. 据第三方民意调查,广州市民的安全感和治安满意度分别为95.6%和97%. 在住外国人7.8万 截至2017年2月25 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlaBxb.html" rel="bookmark" class="title">AES 加密在秘钥扩展中的轮常量问题</a>
					<div>
						问题描述 AES 加密在秘钥扩展中的轮常量问题 unsigned char rc[] = {0x01, 0x02, 0x04, 0x08, 0x10, 0x20, 0x40, 0x80, 0x1b,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPZGlp.html" rel="bookmark" class="title">《Web前端开发精品课 HTML与CSS进阶教程》&mdash;&mdash;2&period;6　其他语义化</a>
					<div>
						2.6 其他语义化 2.6.1 换行符&lt; br /&gt; 很多新手会使用&lt; br /&gt;标签来换行,或者使用多个&lt; br /&gt;标签来实现元素之间的上下间距. 举例1: & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NE7Az.html" rel="bookmark" class="title">java-为什么评级星星显示不正确？</a>
					<div>
						问题描述 为什么评级星星显示不正确? 我想以一种灵活的方式显示评级星星,意思是使用wrap_content 高度,或者至少是dp,并且最好垂直居中,但是他们总是在顶部显示,剩余的空间充满了垂直线. X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo9Vjb.html" rel="bookmark" class="title">《深入理解ElasticSearch》&mdash;&mdash;导读</a>
					<div>
						前 言 Preface 欢迎来到ElasticSearch的世界.通过阅读本书,我们将带你接触与ElasticSearch紧密相关的各种话题.本书会从介绍Apache Lucene及ElasticSe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7RmNp.html" rel="bookmark" class="title">c&num; winfrom项目，如何实现在form窗体中点击鼠标右键自动关闭该窗体</a>
					<div>
						问题描述 c# winfrom项目,如何实现在form窗体中点击鼠标右键自动关闭该窗体 在C# Winfrom项目中,两个form窗体(form1.form2), 在form1窗体中有个Button控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDLXBz.html" rel="bookmark" class="title">Lua 脚本 C&plus;&plus; 封装库 LuaWrapper</a>
					<div>
						为什么要用Lua作脚本? 使用Lua作脚本,主要是因为它小巧玲珑(体积小,运行快),而且它的语法又比较简单明了.不过,使用LuaAPI将Lua引擎集成到程序中,确实有一些不方便--用落木随风网友的话来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBA4Db.html" rel="bookmark" class="title">如何实现weblogic9热部署？</a>
					<div>
						问题描述 使用weblogic当服务器开发,每次修改java类都需要重启服务器,觉得很麻烦.有没有办法使修改java类而不需要重启weblogic的办法...weblogic9有个开发人员的版本,不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKGeDb.html" rel="bookmark" class="title">怎么从servlet跳到另一个框架（frameset）</a>
					<div>
						问题描述 怎么从servlet跳到另一个框架(frameset) 求解:怎么从servlet跳到另一个框架(frameset),谢谢 是这样的,首页用框架分成了两部分part1.jsp和part2.j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRv23p.html" rel="bookmark" class="title">Unity KGFMap 小地图插件</a>
					<div>
						问题描述 Unity KGFMap 小地图插件 使用后其它都能正常使用,但是不会显示黄色的光标跟随人物,求大神帮助啊 解决方案 Unity插件之Kolmich(教你如何快速搭建一个完整的小地图)[Un ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXkyOz.html" rel="bookmark" class="title">Android设置铃声实现代码&lowbar;Android</a>
					<div>
						本文实例讲述了Android设置铃声实现代码.分享给大家供大家参考.具体如下: public void setMyRingtone(File file) { ContentValues values  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBlNJM.html" rel="bookmark" class="title">微信支付全面开放</a>
					<div>
						微信支付全面开放啦!作为微信商业化闭环中一项重要的能力,微信支付迈出了开放的重要一步,将为未来基于微信的移动在线商家提供全新的支付能力.     微信支付申请流程完全公开.自助,只要是通过微信认证的服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnneXM.html" rel="bookmark" class="title">2015年大数据的8个预测</a>
					<div>
						近期我一直在盯着自己的水晶球以预测大数据在明年将走向何方.正如所有的预测一样,我们必须要多加小心,因为并不是所有的预测都能变成真的.当然,一些真正改变游戏规则的创新往往并不在人们的视野内,就连警惕性极 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQdaDp.html" rel="bookmark" class="title">CAS总结之Ticket篇</a>
					<div>
						原文地址: http://zhenkm0507.iteye.com/blog/546805 CAS的核心就是其Ticket,及其在Ticket之上的一系列处理操作.CAS的主要票据有TGT.ST.PG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyWoxz.html" rel="bookmark" class="title">内存不能为read-VC&plus;&plus;程序运行的问题 程序运行异常</a>
					<div>
						问题描述 VC++程序运行的问题 程序运行异常 我这程序在其他电脑上可以运行,就是在自己这台电脑上运行不了,总是出现图中的错误,希望有位大神能帮我看看到底是咋回事,小弟先谢谢了 解决方案 代码贴上去吧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn3KWM.html" rel="bookmark" class="title">PC厂商争平板电脑商机：定位不清晰成发展瓶颈</a>
					<div>
						近日,各大PC厂商都把目光瞄准了平板电脑,再次把该市场炒热.随着苹果.惠普.联想.戴尔.华硕等品牌相继推出自己的平板电脑(或称为一体机电脑),这个新鲜的产品霎时吸引了无数消费者的眼球. 据记者了解,平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eZ7Yb.html" rel="bookmark" class="title">javaweb-struts2问题求解释求解释</a>
					<div>
						问题描述 struts2问题求解释求解释 struts2有一个内置校验器功能,就是用Xxx-validation.xml来校验,我想问的是这个文件是通过建立xml文件,然后取名为Xxx-validat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJVyvp.html" rel="bookmark" class="title">java sql-类似于QQ空间的动态&plus;二级评论这样的表结构是怎么样设计的？</a>
					<div>
						问题描述 类似于QQ空间的动态+二级评论这样的表结构是怎么样设计的? 动态表:动态id, 动态内容, 创建时间 评论表:评论id, 动态id, 用户id, 评论内容, 被回复用户id, 基于上面是的设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV702nb.html" rel="bookmark" class="title">裁剪字符串trim&lpar;&rpar;自定义改进版&lowbar;基础知识</a>
					<div>
						ECMAScript5已经为字符串定义了原生的trim方法.这个方法可能比会比本文的任何版本的都要快.建议在支持的浏览器中使用原生函数.下面讲述的是自定义trim()函数遇到的问题,改进的过程.功夫在 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
